/* written by John Doug Reynolds, June 2002 */

#ifndef CALIB_H
#define CALIB_H

#include <scanningLib.h>
#include <vector>

struct AngularDistBin {
   float phi0, phi1; // [arcmin] dispersion off-axis angles
   float value;
};
extern vector<AngularDistBin> customFigure;

const float hc = 12.39854; // [keV Angstrom] energy times wavelength UPD 13/9/05

extern vector<double> vignetting;
//AI: Wavelength scale. Start
//void calibInit( const scanningLib::GridSpan &betaGrid, const int order);
void calibInit( const scanningLib::GridSpan &betaGrid, const scanningLib::GridSpan &betaChannelGrid,
			const int order);
//AI: Wavelength scale. End

void resetSourcePosition( float theta, float phi );
void calibFree();

float calEnergy( float beta, int order, float alpha );
//AI: Wavelength scale. Start
float calLambdaEnergy( float lambda);
//AI: Wavelength scale. Start
float calAlpha0();

void ccd_qe( float qe[10], float energy );
float empiricalCrossLA( float energy, float dpsi, float xdsp0, float xdsp1 );
void prfBroad(vector<float>&, float eLow, float eHigh, float alpha, int order);
void prfNarrow(	vector<float>&, float eLow, float eHigh, float alpha, int order,
			int fftdim, bool withmirrorpsf=true, bool withangdist=false );
	       

#endif /* CALIB_H */
